## autodns-dhcp 0.6

=== Makefile ===
#! /usr/bin/make -f

SCRIPTS=ddns.cron.pl ddns.pl ndc.cron.pl
CONF=autodns-dhcp.conf
MANP=ddns.cron.pl.1 ddns.pl.1 ndc.cron.pl.1

all: 

install: $(SCRIPTS)
	install $(SCRIPTS) $(DESTDIR)/usr/sbin/
	cp $(CONF) $(DESTDIR)/etc/
	cp $(MANP) $(DESTDIR)/usr/share/man/man1/

## autodns-dhcp 0.4

=== debian/changelog ===
autodns-dhcp (0.4) unstable; urgency=low

  * Include a fix for the problem with nsupdate. I have not been able
    to repruduce the problem, so I can't confirm that it works ok.
    I've been told by John Cooper that it works, however if anybody
    still has problems with DNS not being updated, please report them.
    Closes: #128147.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 19 Jan 2002 20:49:40 +0100

autodns-dhcp (0.3) unstable; urgency=low

  * Fix dependencies, as nsupdate is now on dnsutils.
  * Updated the hole package a bit.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 28 Dec 2001 11:13:01 +0100

autodns-dhcp (0.2) unstable; urgency=low

  * Fixed the sorting bug we found at the party.

 -- Santiago Garcia Mantinan <manty@i.am>  Sat,  1 Apr 2000 16:45:05 +2000

autodns-dhcp (0.1) unstable; urgency=low

  * Based on v0.50 of Stephen Carville's original scripts written for
    the XuventudeGalicia.Net and the Arroutada Party.

 -- Santiago Garcia Mantinan <manty@i.am>  Sat,  1 Apr 2000 16:45:05 +2000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: autodns-dhcp
Section: net
Priority: extra
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Build-Depends-Indep: debhelper (>=3.0.0)
Standards-Version: 3.5.6.0

Package: autodns-dhcp
Architecture: all
Depends: bind | bind9, dnsutils, perl | perl5, dhcp
Conflicts: dhcp-dns
Description: Automatic DNS updates for DHCP
 autodns-dhcp uses bind 8's dynamic update features to update a zonefile
 with hostnames from the dhcp leases file, this is done just once for each
 hostname as the IP, MAC address and name are settled on the dhcp
 configuration to have an static zone.

## autodns-dhcp 0.6

=== debian/changelog ===
autodns-dhcp (0.6) unstable; urgency=low

  * Untaint PATH, thanks to Brett Cundal. Closes: #198688.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 14 Aug 2003 20:40:22 +0200

autodns-dhcp (0.5) unstable; urgency=low

  * Little change to avoid asigning addresses no longer used.
  * Avoid the output of /etc/init.d/dhcp on the cron tasks.
  * Fix the path to dhcp.leases to comply with the new dhcp.
    Closes: #176417.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 29 Mar 2003 16:26:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Santiago Garcia Mantinan <manty@debian.org>
 Build-Depends-Indep: debhelper (>=3.0.0)
-Standards-Version: 3.5.6.0
+Standards-Version: 3.6.0
 
 Package: autodns-dhcp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
export DH_COMPAT=3
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/autodns-dhcp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs

	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## autodns-dhcp 0.8

=== debian/changelog ===
autodns-dhcp (0.8) unstable; urgency=low

  * Fix a bug that allowed a DOS caused by adding twice the same name
    on the dhcp config file.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 23 Mar 2008 22:52:58 +0100

autodns-dhcp (0.7) unstable; urgency=low

  * Change the names of the scripts to comply with Policy Manual
    section 10.4.
  * Update it to work with dhcp v3 by default by moving a lot of the
    hardcoded stuff to the config file and updating this (v2 should
    still work adjusting the default config). Closes: #220487.
  * Fix the path for nsupdate on the config file. Closes: #452203.
  * Fix the restart of the dhcp daemon.
  * Remove the ndc stuff as ndc is no longer available on bind9 and
    rndc doesn't implement restart. Besides, doing a restart just to
    update the zones doesn't seem worth it, and one can do it by
    hand whenever he feels the need.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 27 Feb 2008 18:34:50 +0100

=== debian/control ===
Source: autodns-dhcp
Section: net
Priority: extra
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Build-Depends: debhelper (>=5.0.0)
Standards-Version: 3.7.3

Package: autodns-dhcp
Architecture: all
Depends: bind9 | bind, dnsutils, perl | perl5, dhcp3-server | dhcp
Conflicts: dhcp-dns
Description: Automatic DNS updates for DHCP
 autodns-dhcp uses bind's dynamic update features to update a zonefile
 with hostnames from the dhcp leases file, this is done just once for each
 hostname as the IP, MAC address and name are settled on the dhcp
 configuration to have an static zone.

## autodns-dhcp 0.8ubuntu1

=== debian/changelog ===
autodns-dhcp (0.8ubuntu1) quantal; urgency=low

  * Switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.
  * Switch paths to follow new location of configuration files.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 31 Jul 2012 14:08:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: autodns-dhcp
 Section: net
 Priority: extra
-Maintainer: Santiago Garcia Mantinan <manty@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Garcia Mantinan <manty@debian.org>
 Build-Depends: debhelper (>=5.0.0)
 Standards-Version: 3.7.3
 
 Package: autodns-dhcp
 Architecture: all
-Depends: bind9 | bind, dnsutils, perl | perl5, dhcp3-server | dhcp
+Depends: bind9 | bind, dnsutils, perl | perl5, isc-dhcp-server | dhcp
 Conflicts: dhcp-dns
 Description: Automatic DNS updates for DHCP
  autodns-dhcp uses bind's dynamic update features to update a zonefile

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 # Some lines taken from debmake, by Christoph Lameter.
 
 # Uncomment this to turn on verbose mode.
-export DH_COMPAT=3
 export DH_VERBOSE=1
 
 build: build-stamp
@@ -24,7 +23,6 @@
 	rm -f build-stamp install-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
 
 	dh_clean
 
@@ -41,10 +39,6 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
@@ -58,19 +52,17 @@
 #	dh_undocumented
 	dh_installchangelogs
 
-	dh_link
-	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here
-#	dh_suidregister
-	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
+binary-arch: build install                
+
+
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## autodns-dhcp 0.9

=== debian/changelog ===
autodns-dhcp (0.9) unstable; urgency=low

  * Change default paths and dependencies for dhcpd v4.
    Closes: #701197.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 27 May 2014 22:48:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,12 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir

## autodns-dhcp 0.9build1

=== debian/changelog ===
autodns-dhcp (0.9build1) disco; urgency=medium

  * No-change rebuild against latest bind9

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Dec 2018 17:25:11 -0500

=== debian/control ===
Source: autodns-dhcp
Section: net
Priority: extra
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Build-Depends: debhelper (>=5.0.0)
Standards-Version: 3.9.5

Package: autodns-dhcp
Architecture: all
Depends: bind9 | bind, dnsutils, perl | perl5, isc-dhcp-server | dhcp, ${misc:Depends}
Conflicts: dhcp-dns
Description: Automatic DNS updates for DHCP
 autodns-dhcp uses bind's dynamic update features to update a zonefile
 with hostnames from the dhcp leases file, this is done just once for each
 hostname as the IP, MAC address and name are settled on the dhcp
 configuration to have an static zone.

## autodns-dhcp 0.9+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #! /usr/bin/make -f
 
-SCRIPTS=ddns.cron.pl ddns.pl ndc.cron.pl
+SCRIPTS=autodns-dhcp_cron autodns-dhcp_ddns
 CONF=autodns-dhcp.conf
-MANP=ddns.cron.pl.1 ddns.pl.1 ndc.cron.pl.1
+MANP=autodns-dhcp_cron.1 autodns-dhcp_ddns.1
 
 all:

=== debian/changelog ===
autodns-dhcp (0.9+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 19:44:07 +0100
